Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Revert "activesupport is not a necessary dependency"

We depend on ActiveSupport, but the tests doesn't complain when it's
removed (fix it). Do `grep -r -n -E "(to_xml|blank\?)" lib` to convince
yourself.

This reverts commit 94bfbd2.
  • Loading branch information...
commit 2ba25e8c831b0ada13b0fa8faa2042944ab2724f 1 parent 33bcc19
@shime shime authored
Showing with 8 additions and 0 deletions.
  1. +1 −0  airbrake.gemspec
  2. +7 −0 lib/airbrake.rb
View
1  airbrake.gemspec
@@ -13,6 +13,7 @@ Gem::Specification.new do |s|
s.test_files = Dir.glob("{test,spec,features}/**/*")
s.add_runtime_dependency("builder")
+ s.add_runtime_dependency("activesupport")
s.add_runtime_dependency("girl_friday")
s.add_development_dependency("actionpack", "~> 2.3.8")
View
7 lib/airbrake.rb
@@ -2,6 +2,13 @@
require 'net/http'
require 'net/https'
require 'rubygems'
+begin
+ require 'active_support'
+ require 'active_support/core_ext'
+rescue LoadError
+ require 'activesupport'
+ require 'activesupport/core_ext'
+end
require 'airbrake/version'
require 'airbrake/configuration'
require 'airbrake/notice'
Please sign in to comment.
Something went wrong with that request. Please try again.